<?php  
// TESTIMONIALS SECTION START HERE 

$wp_customize->add_section(
    'testimonials_area',
    array(
        'title'         => __( 'Testimonials Section', 'Luzuk Premium' ),
        'panel'   => 'luzuk_premium_home_panel',
    )
);
    //ENABLE/DISABLE TESTIMONIALS SECTION
$wp_customize->add_setting(
    'testimonials_area_disable',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default' => 'off'
    )
);
$wp_customize->add_control(
    new luzuk_Switch_Control(
        $wp_customize,
        'testimonials_area_disable',
        array(
            'settings'      => 'testimonials_area_disable',
            'section'       => 'testimonials_area',
            'label'         => __( 'Disable Section', 'Luzuk Premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'Luzuk Premium' ),
                'off' => __( 'No', 'Luzuk Premium' )
            )   
        ) 
    )
);
 
backgroundManager($wp_customize, 'testimonials', 'testimonials_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'luzuk_sec_blogsectionpadding', 'testimonials_area', 'Set Padding For Testimonial Section:');

$wp_customize->add_setting(
    'testimonials_areaTpadding', 
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '3em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaTpadding',
    array(
        'settings'      => 'testimonials_areaTpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Top Padding', 'Luzuk Premium' )
    )
);
$wp_customize->add_setting(
    'testimonials_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_areaBpadding',
    array(
        'settings'      => 'testimonials_areaBpadding',
        'section'       => 'testimonials_area',
        'type'          => 'text',
        'label'         => __( 'Testimonial Section Bottom Padding', 'Luzuk Premium' )
    )
);


$wp_customize->add_setting(
    'luzuk_testimonials_title_subtitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
       'luzuk_testimonials_title_subtitle_heading',
       array(
           'settings'      => 'luzuk_testimonials_title_subtitle_heading',
           'section'       => 'testimonials_area',
           'label'         => __( 'Section Heading Setting', 'Luzuk Premium' ),
       )
   )
);


$wp_customize->add_setting(
    'testimonials_title',
    array(
       'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '<span>Our</span> Testimonials', 'Luzuk Premium' )
    )
);
$wp_customize->add_control(
    'testimonials_title',
    array(
       'settings'      => 'testimonials_title',
       'section'       => 'testimonials_area',
       'type'          => 'text',
       'label'         => __( 'Section Heading', 'Luzuk Premium' )
    )
);

addColorPalatOption($wp_customize, 'testimonialsarea_sectitle_color', 'testimonials_area', 'Section Heading Color', '#131313');

addColorPalatOption($wp_customize, 'testimonialsarea_sectitleborder_color_one', 'testimonials_area', 'Section Heading Highlight Color', '#131313');

$TesimonialsSingleChoice[] = 'select';
if(!is_array($TesimonialsSingleChoice)){
    $wp_customize->add_setting('testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
    $wp_customize->add_control(
        new luzuk_Info_Text( 
            $wp_customize,
            'testimonials_area_lbl',
            array(
                'settings'      => 'testimonials_area_lbl',
                'section'       => 'testimonials_area',
                'label'         => __( 'Note:', 'Luzuk Premium' ), 
                'description'   => __( '<strong>Changes will not reflect unless you select the Testimonials.</strong> <br/>Please add the Testimonials from "Testimonials menu" and then select Testimonial to show information.', 'Luzuk Premium' ),
            )
        )
    );
}
$wp_customize->add_setting('luzuk_premium_testimonials_area_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Info_Text( 
        $wp_customize,
        'luzuk_premium_testimonials_area_lbl',
        array(
            'settings'      => 'luzuk_premium_testimonials_area_lbl',
            'section'       => 'testimonials_area',
            'label'         => __( 'Note:', 'Luzuk Premium' ), 
            'description'   => __( 'Just place the shortcode "[TESTIMONIALS]" in your page to list the Testimonials in a page ', 'Luzuk Premium' ),
        )
    )
);
//TESTIMONIALS PAGES
for( $i = 1; $i < 10; $i++ ){
    $wp_customize->add_setting(
        'luzuk_testimonials_heading'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'luzuk_testimonials_heading'.$i,
            array(
                'settings'      => 'luzuk_testimonials_heading'.$i,
                'section'       => 'testimonials_area',
                'label'         => __( 'Testimonial', 'Luzuk Premium' ).$i,
            )
        )
    );
    $wp_customize->add_setting(
        'testimonials_page'.$i,
        array(
            'sanitize_callback' => 'absint'
        )
    );
    $wp_customize->add_control(
        'testimonials_page'.$i,
        array(
            'settings'      => 'testimonials_page'.$i,
            'section'       => 'testimonials_area',
            'type'=> 'select',
            'label'         => __( 'Select a Client Testimonials', 'Luzuk Premium' ),
            'choices' => $TesimonialsSingleChoice,
        )
    );
}

 $wp_customize->add_setting(
        'clientname_image_heading',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'clientname_image_heading',
            array(
                'settings'      => 'clientname_image_heading',
                'section'       => 'testimonials_area',
                'label'         => __( 'Client Name Image', 'luzuk-premium' ),
            )
        )
    );

      $wp_customize->add_setting(
        'clientname_image',
        array(
            'sanitize_callback' => 'esc_url_raw'
        )
    );
    $wp_customize->add_control(
        new WP_Customize_Image_Control(
            $wp_customize,
            'clientname_image',
            array(
                'section' => 'testimonials_area',
                'settings' => 'clientname_image',
                'description' => __('Recommended Image Size: 34X34px', 'luzuk-premium')
            )
        )
    );

lzCustomLable($wp_customize, 'clientcolor', 'testimonials_area', 'Section Colors');

addColorPalatOption($wp_customize, 'testibxbg', 'testimonials_area', ' Section Inner Box Background Color', '#fff');

addColorPalatOption($wp_customize, 'testiimghvbrd', 'testimonials_area', ' Section Image Hover Border Color', '#ff1944');

addColorPalatOption($wp_customize, 'luzuk_testimonialscontent_textcolor', 'testimonials_area', ' Section Text Color', '#131313');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namecolor', 'testimonials_area', 'Section Client Name Color', '#6f7071');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Namehovercolor', 'testimonials_area', 'Section Client Name Hover Color', '#ff1944');

addColorPalatOption($wp_customize, 'luzuk_testimonials_Npsncolor', 'testimonials_area', 'Section Client Designation Color', '#959595');

addColorPalatOption($wp_customize, 'testi_hgbrd1', 'testimonials_area', 'Section Highlight Border One Color', '#ff1944');

addColorPalatOption($wp_customize, 'testi_hgbrd2', 'testimonials_area', 'Section Highlight Border Two Color', '#ff1944');

addColorPalatOption($wp_customize, 'testi_hbtnbg', 'testimonials_area', 'Section Slider Button Background Color', '#e8e8e8');

addColorPalatOption($wp_customize, 'testi_hbtnbghv', 'testimonials_area', 'Section Slider Button Background Hover Color', '#ff1944');

addColorPalatOption($wp_customize, 'testi_hbtnarw', 'testimonials_area', 'Section Slider Button Arrow Color', '#fd8b3f');

addColorPalatOption($wp_customize, 'testi_hbtnarwhv', 'testimonials_area', 'Section Slider Button Arrow Hover Color', '#131313');

addColorPalatOption($wp_customize, 'testi_hbtnarwbrd', 'testimonials_area', 'Section Slider Button Border Color', '#dedcdc');